Overview

CrystalDiskMark is a disk benchmark software.

Important Notice

  • "MB/s" means 1,000,000 byte/sec.
  • The result depends on Test File Size, Test File Position, Fragmentation, IDE(PATA)/SATA/RAID/SCSI controller and CPU speed etc...
  • In a part of SSD, the result depends on test data(random, 0fill, 1fill).

Operating Envrionment

Windows | IE | Limitation
2000 | 6.0 |
XP | 7.0~ |
Server 2003 | 7.0~ |
Vista | 7.0~ |
Server 2008 | 7.0~ | Does not work well on Server Core mode.
7 | 8.0~ |
8 | 10.0~ |
Server 2012 | 10.0~ | Does not work well on Server Core mode.

IE8 or later is strictly recommended.

*Not support Windows 95/98/Me/NT4.

IE Settings

CrystalDiskMark depends on IE settings (Internet Options > Accessibility). Please set default (all off).

Digital Signature

  • Name of signer : Noriyuki Miyazaki
  • E-mail address : hiyohiyo@crystalmark.info

Learn More : Digital Signature

Copyright

Copyright (c) 2007-2012 hiyohiyo. All rights reserved.

mail : hiyohiyo@crystalmark.info
web : http://crystalmark.info/

License

CrystalDiskMark is distributed under The modified BSD License.

Copyright (C) hiyohiyo. All rights reserved.


Install & Uninstall

Zip Edition

Install

Please uncompress the zip file into any folder.

Update

Please uncompress the zip file into the folder of previous version installed.

Uninstall

Please delete the installed files.

Installer Edition

Install

Please execute installer.

Update

Please execute installer.

Uninstall

Please execute uninstaller from [Add or Remove Programs]/[Programs and Features].


License

The modified BSD license

Copyright (c) 2007-2012 hiyohiyo, All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Acknowledgments

Reference

  • Xorshift RNGs (http://www.jstatsoft.org/v08/i14/paper)
    George Marsaglia The Florida State University

Special Thanks

  • TAKABO SOFT NETWORK [ja]
    - AquaMaker (Theme: default and blue)
  • Emo [ja] (Theme: wine)
  • kirino kasumu [ja] (Theme: Shizuku)
  • AOXT Free Photo (Closed, Theme: flower)
  • Yama (Bug report: 1.0/2.0)
  • Anonymous (Bug report: 2.1)
  • Anonymous (NCQ patch: 3.0)

Translation Support

*Latest Translator, First Translator, Second Translator ...

  • Arabic : Awadh A Al-Ghaamdi
  • Armenian : Hrant Ohanyan
  • Azeri : TATU
  • Bulgarian : chaotis
  • Croatian : Borghia
  • Czech : AxelSh
  • Danish : TimmE
  • Dutch : Linard Verstraete, Peter Van Akelyen
  • Finnish : Teijo(at)nettilinja(dot)fi, Juha T
  • French : Christophe Peuch
  • Georgian : Baci Chkhaidze, David Buachidze
  • German : TiltonJH, Crashtest
  • Greek : XhmikosR, Wicker Man
  • Hungarian : USiTE.hu
  • Indonesian : sGun, "Salim, SE."
  • Italian : Fiorani Paolo, Miriano & Bovirus
  • Korean : Gihun Ham
  • Latvian : Sikspārnis
  • Lithuanian : White Alone Wolf
  • Macedonian : Звонко Велески
  • Norwegian : TimmE
  • Persian :Mohammad Sabooriyan, Hussein Jabbari
  • Polish : Andy
  • Portuguese : Ricardo
  • Romanian : Queen-Soft.blogspot.com
  • Russian : Valery Tretyakov, Aleksey Nizamov, White Alone Wolf
  • Serbian : Marko
  • Simplified Chinese : Cloud
  • Slovak : RPeterR
  • Slovenian : Stankoman
  • Spanish : J.F.Suarez
  • Swedish : Björn Bodén, TimmE
  • Thai : Asanee Prakunhungsit
  • Traditional Chinese : mail6543210, To Lam
  • Turkish : JohnByRum
  • Ukrainian : Yelik
  • Vietnamese : Nguyễn Đức Dũng


History

3.0.x

3.0.2 [2012/10/26]

  • Benchmark result is compatible with 3.0.1
  • Added Windows 8/Server 2012 support
  • Changed IE rendering mode from Quirks to Standard
    (Improved font quality using DirectWrite from IE9-)
  • Added Shzuku Theme
  • Added Shizuku Edition

3.0.1 [2010/12/26]

  • Fixed Random 512K/4K(Queue Depth = 1) in 4000MB Test
  • Fixed Random Data Genaration Method

3.0.0 [2010/03/21]

  • Added NCQ Test (Queue Depth = 32)
  • Added Test Data Selection (Random, 0Fill, 1Fill)
  • Added Zoom Feature (100%~400%, required IE8 or later)
  • Added Digital Signature
  • Updated Icon (Added 256x256x32bit)
  • Updated About Dialog

1.x - 2.x

2.2.0 [2008/09/15]

  • Fixed Bugs

2.1.0 [2008/02/02]

  • Fixed Bugs

2.0.0 [2008/01/13]

  • Fixed Bugs

1.0.0 [2007/03/31]

  • Initial Release


Main Window

How to start Benchmark

1. Select Number of Test Runs, Test Size and Test Drive.

2. Click "All" button (or Seq, 512K, 4K, 4K QD32 button) to start Benchmark.

Test Types

  • All : All Test (Seq, 512K, 4K, 4K QD32)
  • Seq : Sequential Read/Write Test (Block Size = 1024KB)
  • 512K : Random Read/Write Test (Block Size = 512KB)
  • 4K : Random Read/Write Test (Block Size = 4KB)
  • 4K QD32 : Random Read/Write Test (Block Size = 4KB, Queue Depth = 32) for NCQ&AHCI

Number of Test Runs

1~9. Default value is 5.

Test Size

50MB, 100MB, 500MB, 1000MB, 2000MB and 4000MB.

Default value is 1000MB. But it may be too large for low speed storage (USB memory etc...), so you should choose small size.

Test Drive

C:\, D:\ and etc... CrystalDiskMark is required Drive Letter for benchmark.


Main Menu

File

Test Data

  • Random
  • All 0x00 (0 Fill)
  • All 0xFF (1 Fill)

*In a part of SSD, the result depends on test data(random, 0fill, 1fill).

Exit

Exit application.

Edit

Copy

Copy the result of benchmark to the clipboard.

Theme

Zoom

Select zoom ratio.
*Required IE8 or later

default, blue etc...

Switch the theme.

Help

Help

Open help file.

About CrystalDiskMark

Show about window.

Crystal Dew World [Web]

Open Crystal Dew World.

Language

Switch the language.


FAQ

Why the result differ from other benchmark software?

  • The result depends on Test File Size, Test File Position, Fragmentation, IDE(PATA)/SATA/RAID/SCSI controller and CPU speed etc...
  • In a part of SSD, the result depends on test data(random, 0fill, 1fill). Other software may use 0fill as test data.

Failed benchmark test

It may not enough privilege to create test file. Please run CrystalDiskMark as administrative privileges.

Can not open help file (manual-en.chm)

You cannot open HTML Help files from Internet Explorer after you install security update 896358 or Windows Server 2003 Service Pack 1 (Microsoft support online)

Solution

  1. Right-click the CHM file, and then click Properties.
  2. Click Unblock.
  3. Double-click the .chm file to open the file.


Contact

Comment, Bug Report and etc...

Please feel free to send e-mail to me.

*If you send a bug report to me, please attach the text copy (Edit > Copy).

e-mail : hiyohiyo@crystalmark.info